# Function pest::set_call_limit

source · [−]

    pub fn set_call_limit(limit: Option<NonZeroUsize>)

Expand description

Sets the maximum call limit for the parser state to prevent stack overflows or excessive execution times in some grammars. If set, the calls are tracked as a running total over all non-terminal rules that can nest closures (which are passed to transform the parser state).

## Arguments

- `limit` - The maximum number of calls. If None, the number of calls is unlimited.